Create Upload

Deprecated
<b>Deprecated.</b> This endpoint is deprecated in favor of the [Create Bulk Transactions Upload URL](/2024-10-01/api/transactions/create-bulk-transactions-upload-url) endpoint. New integrations should use the bulk flow outlined in the [Historical Transaction Uploads](/2024-10-01/api/integration-guides/historical-transaction-uploads) integration guide. Call this endpoint to create an upload session and retrieve an upload ID. Using the upload ID in the [Add Upload Part](/api/uploads/create-upload-part) endpoint, historical transactions can be sent in batches for further processing. <b>Required scopes:</b> `transaction:write`

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
Your issuer organization ID, provided by Kard
userIdstringRequired
The ID of the user as defined on the issuers system

Request

This endpoint expects an object.
dataobjectRequired

Response

This endpoint returns an object.
dataobject

Errors

400
Invalid Request
401
Unauthorized Error
500
Internal Server Error